Bug 74627 - [RFE] Support downgrades
Summary: [RFE] Support downgrades
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Release   
(Show other bugs)
Version: RHN Stable
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Todd Sanders
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 414671
TreeView+ depends on / blocked
 
Reported: 2002-09-27 21:38 UTC by Mike McLean
Modified: 2008-02-21 15:30 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-20 20:49:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike McLean 2002-09-27 21:38:01 UTC
This is the sequence of events that I went through:
1) install 7.2 (minimal + up2date + rhn_register + deps)
2) upgrade up2date + rhn_register (+deps) with latest 7.2 errata
3) rhnreg_ks --serial blahblahblah.............
4) up2date -u -i -f --nosrc --nox
5) save /etc/sysconfig/rhn/systemid somewhere else

6) Completely wipe machine and install 7.1 (minimal + ....)
7) upgrade up2date + .... w/ latest 7.1 errata
8) copy saved (7.2) systemid file to /etc/systemconfig/rhn/systemid
9) up2date -p --nox
10) up2date -u -i -f --nosrc --nox

This is what happened:
On the up2date in step 10, 7.2 updates were applied.  /etc/redhat-release says 7.2.

Comment 1 Josef Komenda 2002-10-14 14:17:06 UTC
RHN currently supports upgrades, not downgrades, so this is more of an RFE.
Assigning to gdk for disposition.

Comment 2 Mike McLean 2004-06-10 16:55:25 UTC
Did this feature ever get added?

Comment 3 Fanny Augustin 2006-11-14 21:04:23 UTC
Reassigning  bugs from gdk (old RHN engineering Manager) to tsanders (current
RHN engineering manager)

Comment 4 Bill C. Riemers 2008-02-20 20:49:18 UTC
This feature has remained in the queue this long, because it does not seem feasible.

Comment 5 Mike McLean 2008-02-21 15:30:47 UTC
While I no longer maintain the system where I encountered this problem, I would
like to clarify what the request is. It is /not/ to support the downgrade of an
installed system via up2date, but merely to recognize that a system has been
downgraded by an administrator and fix the base channel subscription.

Short of that, it would have been sufficient to provide a scriptable way for
change the channel subscription from the host. Perhaps that is already there now.


Note You need to log in before you can comment on or make changes to this bug.